#include "bus.h"

namespace domain {

Bus::Bus(std::string name, std::string tooltip, BusType type, std::pair<int, int> count, std::optional<Display> display)
    : name(name), tooltip(tooltip), type(type), count(count), display(display)
{}

std::string Bus::getName() {
    return name;
}
std::string Bus::getTooltip() {
    return tooltip;
}
Bus::BusType Bus::getType() {
    return type;
}
std::pair<int, int> Bus::getCount() {
    return count;
}
std::optional<Display> Bus::getDisplay() {
    return display;
}


} // namespace domain
